Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts
Interface ResolvedConfiguration

    interface ResolvedConfiguration

Method Summary
`Set` | `getFiles(Spec dependencySpec)` Returns the files for the specified subset of configuration dependencies.
`Set` | `getFirstLevelModuleDependencies()` Returns ResolvedDependency instances for every configuration dependency.
`Set` | `getResolvedArtifacts()`
`boolean` | `hasError()` Returns whether all dependencies were successfully retrieved or not.
`void` | `rethrowFailure()` A resolve of a configuration that is not successful does not automatically throws an exception.

Method Detail

### getFiles

    public Set getFiles(Spec dependencySpec)

  Returns the files for the specified subset of configuration dependencies.
  param:
    dependencySpec The filter for the configuration dependencies.
  return:
    The artifact files of the specified dependencies.
  throws:
    ResolveException in case the resolve was not successful.

### getFirstLevelModuleDependencies

    public Set getFirstLevelModuleDependencies()

  Returns ResolvedDependency instances for every configuration dependency. Via those instances you have access to all ResolvedDependency instances (i.e. also for the resolved transitive dependencies).
  return:
    A set with ResolvedDependency instances for every configuration dependency.
  throws:
    ResolveException in case the resolve was not successful.

### getResolvedArtifacts

    public Set getResolvedArtifacts()

### hasError

    public boolean hasError()

  Returns whether all dependencies were successfully retrieved or not.

### rethrowFailure

    public void rethrowFailure()

  A resolve of a configuration that is not successful does not automatically throws an exception. Such a exception is only thrown if the result of a resolve is accessed. You can force the throwing of such an exception by calling this method.
  throws:
    ResolveException

Groovy Documentation